Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMealy_issue_out.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMealy_issue_out.cpp	(revision 115)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMealy_issue_out.cpp	(revision 117)
@@ -30,9 +30,13 @@
       Tcontrol_t val [_param->_nb_inst_issue];
 
+      uint32_t index=0;
       for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
         val [i] = 0;
 
+      //--------------------------------------
       // From Reexecute_queue
+      //--------------------------------------
 
+      // scan all reexecute_queue slot ...
 //       uint32_t num_reexecute_entry = 0;
       for (std::list<entry_t*>::iterator it=_reexecute_queue.begin();
@@ -42,45 +46,45 @@
           entry_t* entry = (*it);
 
-          for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
-            // test if no previous transaction and can accept this type
-            if ((val[i] == 0) and _param->_table_issue_type [i][entry->_type])
-              {
-                // find a issue port
-                val [i] = 1;
-	    
-                if (_param->_have_port_context_id)
-	        PORT_WRITE(out_ISSUE_OUT_CONTEXT_ID            [i], entry->_context_id           );
-	        if (_param->_have_port_front_end_id)
-	        PORT_WRITE(out_ISSUE_OUT_FRONT_END_ID          [i], entry->_front_end_id         );
-	        if (_param->_have_port_rob_ptr  )
-	        PORT_WRITE(out_ISSUE_OUT_PACKET_ID             [i], entry->_packet_id            );
-	        PORT_WRITE(out_ISSUE_OUT_OPERATION             [i], entry->_operation            );
-	        PORT_WRITE(out_ISSUE_OUT_TYPE                  [i], entry->_type                 );
-	        PORT_WRITE(out_ISSUE_OUT_STORE_QUEUE_PTR_WRITE [i], entry->_store_queue_ptr_write);
-	        if (_param->_have_port_load_queue_ptr)
-	        PORT_WRITE(out_ISSUE_OUT_LOAD_QUEUE_PTR_WRITE  [i], entry->_load_queue_ptr_write );
-	        PORT_WRITE(out_ISSUE_OUT_HAS_IMMEDIAT          [i], entry->_has_immediat         );
-	        PORT_WRITE(out_ISSUE_OUT_IMMEDIAT              [i], entry->_immediat             );
-	        PORT_WRITE(out_ISSUE_OUT_READ_RA               [i], entry->_read_ra              );
-	        PORT_WRITE(out_ISSUE_OUT_NUM_REG_RA            [i], entry->_num_reg_ra           );
-	        PORT_WRITE(out_ISSUE_OUT_READ_RB               [i], entry->_read_rb              );
-	        PORT_WRITE(out_ISSUE_OUT_NUM_REG_RB            [i], entry->_num_reg_rb           );
-	        PORT_WRITE(out_ISSUE_OUT_READ_RC               [i], entry->_read_rc              );
-	        PORT_WRITE(out_ISSUE_OUT_NUM_REG_RC            [i], entry->_num_reg_rc           );
-	        PORT_WRITE(out_ISSUE_OUT_WRITE_RD              [i], entry->_write_rd             );
-	        PORT_WRITE(out_ISSUE_OUT_NUM_REG_RD            [i], entry->_num_reg_rd           );
-	        PORT_WRITE(out_ISSUE_OUT_WRITE_RE              [i], entry->_write_re             );
-	        PORT_WRITE(out_ISSUE_OUT_NUM_REG_RE            [i], entry->_num_reg_re           );
+          val [index] = 1;
+              
+          if (_param->_have_port_context_id)
+	  PORT_WRITE(out_ISSUE_OUT_CONTEXT_ID            [index], entry->_context_id           );
+	  if (_param->_have_port_front_end_id)
+	  PORT_WRITE(out_ISSUE_OUT_FRONT_END_ID          [index], entry->_front_end_id         );
+	  if (_param->_have_port_rob_ptr  )
+	  PORT_WRITE(out_ISSUE_OUT_PACKET_ID             [index], entry->_packet_id            );
+	  PORT_WRITE(out_ISSUE_OUT_OPERATION             [index], entry->_operation            );
+	  PORT_WRITE(out_ISSUE_OUT_TYPE                  [index], entry->_type                 );
+	  PORT_WRITE(out_ISSUE_OUT_STORE_QUEUE_PTR_WRITE [index], entry->_store_queue_ptr_write);
+	  if (_param->_have_port_load_queue_ptr)
+	  PORT_WRITE(out_ISSUE_OUT_LOAD_QUEUE_PTR_WRITE  [index], entry->_load_queue_ptr_write );
+	  PORT_WRITE(out_ISSUE_OUT_HAS_IMMEDIAT          [index], entry->_has_immediat         );
+	  PORT_WRITE(out_ISSUE_OUT_IMMEDIAT              [index], entry->_immediat             );
+	  PORT_WRITE(out_ISSUE_OUT_READ_RA               [index], entry->_read_ra              );
+	  PORT_WRITE(out_ISSUE_OUT_NUM_REG_RA            [index], entry->_num_reg_ra           );
+	  PORT_WRITE(out_ISSUE_OUT_READ_RB               [index], entry->_read_rb              );
+	  PORT_WRITE(out_ISSUE_OUT_NUM_REG_RB            [index], entry->_num_reg_rb           );
+	  PORT_WRITE(out_ISSUE_OUT_READ_RC               [index], entry->_read_rc              );
+	  PORT_WRITE(out_ISSUE_OUT_NUM_REG_RC            [index], entry->_num_reg_rc           );
+	  PORT_WRITE(out_ISSUE_OUT_WRITE_RD              [index], entry->_write_rd             );
+	  PORT_WRITE(out_ISSUE_OUT_NUM_REG_RD            [index], entry->_num_reg_rd           );
+	  PORT_WRITE(out_ISSUE_OUT_WRITE_RE              [index], entry->_write_re             );
+	  PORT_WRITE(out_ISSUE_OUT_NUM_REG_RE            [index], entry->_num_reg_re           );
 
-                internal_ISSUE_OUT_FROM_REEXECUTE [i] = true;
-//              internal_ISSUE_OUT_NUM_BANK       [i] = num_reexecute_entry;
-                internal_ISSUE_OUT_ENTRY          [i] = entry;
+          internal_ISSUE_OUT_FROM_REEXECUTE [index] = true;
+//        internal_ISSUE_OUT_NUM_BANK       [index] = num_reexecute_entry;
+          internal_ISSUE_OUT_ENTRY          [index] = entry;
 
-                break; // stop scan
-              }
-//           num_reexecute_entry ++;
+          index ++; // next slot
         }
+      
+      //--------------------------------------
+      // From Issue_queue
+      //--------------------------------------
+      index = _param->_nb_inst_reexecute;
 
-      // From Issue_queue
+      log_printf(TRACE,Issue_queue,FUNCTION,"  * From Issue_queue");
+
+      // for all instruction in issue_queue head ...
       for (uint32_t i=0; i<_param->_nb_bank; ++i)
         {
@@ -89,75 +93,80 @@
           log_printf(TRACE,Issue_queue,FUNCTION,"    * Bank [%d]",num_bank);
           
-          bool find = false;
+//           bool find = false;
           
-          // Have instruction ?
+          // ... test if have an instruction
           if (not _issue_queue [num_bank].empty())
             {
  	      log_printf(TRACE,Issue_queue,FUNCTION,"      * Not Empty !!!");
 
+              // read instruction
               entry_t* entry = _issue_queue [num_bank].front();
               
-	      // have valid instruction, search a valid issue slot.
-              for (uint32_t j=0; j<_param->_nb_inst_issue; j++)
-                {
-		  Tcontrol_t issue_ack = PORT_READ(in_ISSUE_OUT_ACK [j]);
+//               Tcontrol_t issue_ack = PORT_READ(in_ISSUE_OUT_ACK [index]);
+              
+              log_printf(TRACE,Issue_queue,FUNCTION,"      * Issue [%d]",index);
+//               log_printf(TRACE,Issue_queue,FUNCTION,"        * issue_ack            : %d",issue_ack);
+//            log_printf(TRACE,Issue_queue,FUNCTION,"        * previous transaction : %d",val[index]);
+//            log_printf(TRACE,Issue_queue,FUNCTION,"        * can issue type       : %d",_param->_table_issue_type [index][entry->_type]);
 
-                  log_printf(TRACE,Issue_queue,FUNCTION,"      * Issue [%d]",j);
-                  log_printf(TRACE,Issue_queue,FUNCTION,"        * issue_ack            : %d",issue_ack);
-                  log_printf(TRACE,Issue_queue,FUNCTION,"        * previous transaction : %d",val[j]);
-                  log_printf(TRACE,Issue_queue,FUNCTION,"        * can issue type       : %d",_param->_table_issue_type [j][entry->_type]);
+              // in_order : test if find a valid read_unit
+//               if (issue_ack)
+//                 {
+// 	          log_printf(TRACE,Issue_queue,FUNCTION,"        * find !!!");
+                  
+//                   find = true;
+//                 }
 
-                  // test if no previous transaction and can accept this type
-                  if (not val[j] and 
-                      _param->_table_issue_type [j][entry->_type] and
-                      issue_ack)
-                    {
-		      log_printf(TRACE,Issue_queue,FUNCTION,"        * find !!!");
-                      
-                      // find a issue port
-                      val [j] = 1;
-                      
-                      if (_param->_have_port_context_id)
-	              PORT_WRITE(out_ISSUE_OUT_CONTEXT_ID            [j], entry->_context_id           );
-	              if (_param->_have_port_front_end_id)
-	              PORT_WRITE(out_ISSUE_OUT_FRONT_END_ID          [j], entry->_front_end_id         );
-	              if (_param->_have_port_rob_ptr  )
-	              PORT_WRITE(out_ISSUE_OUT_PACKET_ID             [j], entry->_packet_id            );
-	              PORT_WRITE(out_ISSUE_OUT_OPERATION             [j], entry->_operation            );
-	              PORT_WRITE(out_ISSUE_OUT_TYPE                  [j], entry->_type                 );
-	              PORT_WRITE(out_ISSUE_OUT_STORE_QUEUE_PTR_WRITE [j], entry->_store_queue_ptr_write);
-	              if (_param->_have_port_load_queue_ptr)
-	              PORT_WRITE(out_ISSUE_OUT_LOAD_QUEUE_PTR_WRITE  [j], entry->_load_queue_ptr_write );
-	              PORT_WRITE(out_ISSUE_OUT_HAS_IMMEDIAT          [j], entry->_has_immediat         );
-	              PORT_WRITE(out_ISSUE_OUT_IMMEDIAT              [j], entry->_immediat             );
-	              PORT_WRITE(out_ISSUE_OUT_READ_RA               [j], entry->_read_ra              );
-	              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RA            [j], entry->_num_reg_ra           );
-	              PORT_WRITE(out_ISSUE_OUT_READ_RB               [j], entry->_read_rb              );
-	              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RB            [j], entry->_num_reg_rb           );
-	              PORT_WRITE(out_ISSUE_OUT_READ_RC               [j], entry->_read_rc              );
-	              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RC            [j], entry->_num_reg_rc           );
-	              PORT_WRITE(out_ISSUE_OUT_WRITE_RD              [j], entry->_write_rd             );
-	              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RD            [j], entry->_num_reg_rd           );
-	              PORT_WRITE(out_ISSUE_OUT_WRITE_RE              [j], entry->_write_re             );
-	              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RE            [j], entry->_num_reg_re           );
-                      
-                      internal_ISSUE_OUT_FROM_REEXECUTE [j] = false;
-                      internal_ISSUE_OUT_NUM_BANK       [j] = num_bank;
-                      internal_ISSUE_OUT_ENTRY          [j] = entry;
-                      
-                      find = true;
-                      break; // find : stop scan
-                    }
-                }
+              // find a issue port
+              val [index] = true; // instruction is valid
+              
+              if (_param->_have_port_context_id)
+              PORT_WRITE(out_ISSUE_OUT_CONTEXT_ID            [index], entry->_context_id           );
+              if (_param->_have_port_front_end_id)
+              PORT_WRITE(out_ISSUE_OUT_FRONT_END_ID          [index], entry->_front_end_id         );
+              if (_param->_have_port_rob_ptr  )
+              PORT_WRITE(out_ISSUE_OUT_PACKET_ID             [index], entry->_packet_id            );
+              PORT_WRITE(out_ISSUE_OUT_OPERATION             [index], entry->_operation            );
+              PORT_WRITE(out_ISSUE_OUT_TYPE                  [index], entry->_type                 );
+              PORT_WRITE(out_ISSUE_OUT_STORE_QUEUE_PTR_WRITE [index], entry->_store_queue_ptr_write);
+              if (_param->_have_port_load_queue_ptr)
+              PORT_WRITE(out_ISSUE_OUT_LOAD_QUEUE_PTR_WRITE  [index], entry->_load_queue_ptr_write );
+              PORT_WRITE(out_ISSUE_OUT_HAS_IMMEDIAT          [index], entry->_has_immediat         );
+              PORT_WRITE(out_ISSUE_OUT_IMMEDIAT              [index], entry->_immediat             );
+              PORT_WRITE(out_ISSUE_OUT_READ_RA               [index], entry->_read_ra              );
+              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RA            [index], entry->_num_reg_ra           );
+              PORT_WRITE(out_ISSUE_OUT_READ_RB               [index], entry->_read_rb              );
+              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RB            [index], entry->_num_reg_rb           );
+              PORT_WRITE(out_ISSUE_OUT_READ_RC               [index], entry->_read_rc              );
+              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RC            [index], entry->_num_reg_rc           );
+              PORT_WRITE(out_ISSUE_OUT_WRITE_RD              [index], entry->_write_rd             );
+              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RD            [index], entry->_num_reg_rd           );
+              PORT_WRITE(out_ISSUE_OUT_WRITE_RE              [index], entry->_write_re             );
+              PORT_WRITE(out_ISSUE_OUT_NUM_REG_RE            [index], entry->_num_reg_re           );
+              
+              internal_ISSUE_OUT_FROM_REEXECUTE [index] = false;
+              internal_ISSUE_OUT_NUM_BANK       [index] = num_bank;
+              internal_ISSUE_OUT_ENTRY          [index] = entry;
+
+              index ++; // next slot
             }
 
-          if (not find)
-            break; // stop scan (in order)
+//           if (not find)
+//             {
+//  	      log_printf(TRACE,Issue_queue,FUNCTION,"      * Not find. Stop Scan (in order)");
+              
+//               break; // stop scan (in order)
+//             }
         }
-
+      
+      // Output
       for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
         {
           internal_ISSUE_OUT_VAL [i] = val [i];
           PORT_WRITE(out_ISSUE_OUT_VAL [i], internal_ISSUE_OUT_VAL [i]);
+
+//           // Type invalid to the Core_Glue network
+//           if (not val [i]) // == empty
+//             PORT_WRITE(out_ISSUE_OUT_TYPE [i], TYPE_INVALID);
         }
     }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp	(revision 115)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp	(revision 117)
@@ -109,5 +109,7 @@
           for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
             // test if no previous transaction and can accept this type
-            if ((val[i] == 0) and _param->_table_issue_type [i][entry->_type])
+            if ((val[i] == 0)
+//                 and _param->_table_issue_type [i][entry->_type]
+                )
               {
                 // find a issue port
@@ -168,5 +170,7 @@
               for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
                 // test if no previous transaction and can accept this type
-                if ((val[i] == 0) and _param->_table_issue_type [i][entry->_type])
+                if ((val[i] == 0)
+//                     and _param->_table_issue_type [i][entry->_type]
+                    )
                   {
                     // find a issue port
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_transition.cpp	(revision 115)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_transition.cpp	(revision 117)
@@ -106,4 +106,10 @@
     log_printf(TRACE,Issue_queue,FUNCTION,"  * Dump Issue_queue");
 
+    if (_param->_queue_scheme == ISSUE_QUEUE_SCHEME_IN_ORDER)
+      {
+    log_printf(TRACE,Issue_queue,FUNCTION,"    * reg_NUM_BANK_HEAD : %d",reg_NUM_BANK_HEAD);
+    log_printf(TRACE,Issue_queue,FUNCTION,"    * reg_NUM_BANK_TAIL : %d",reg_NUM_BANK_TAIL);
+      }
+
     for (uint32_t i=0; i<_param->_nb_bank; i++)
       {
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters.cpp	(revision 115)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters.cpp	(revision 117)
@@ -32,5 +32,5 @@
 			  uint32_t              size_store_queue_ptr    ,
 			  uint32_t              size_load_queue_ptr     ,
-			  uint32_t              nb_inst_issue           ,
+// 			  uint32_t              nb_inst_issue           ,
 			  uint32_t            * nb_inst_rename          ,
 			  uint32_t              nb_inst_reexecute       ,
@@ -38,6 +38,6 @@
 			  Tpriority_t           priority                ,
 			  Tload_balancing_t     load_balancing          ,
-			  bool               ** table_routing           ,
-			  bool               ** table_issue_type        ,
+// 			  bool               ** table_routing           ,
+// 			  bool               ** table_issue_type        ,
                           bool                  is_toplevel             )
   {
@@ -50,5 +50,5 @@
     _queue_scheme             = queue_scheme         ;
     _nb_bank                  = nb_bank              ;   
-    _nb_inst_issue            = nb_inst_issue        ;
+//  _nb_inst_issue            = nb_inst_issue        ;
     _nb_inst_rename           = nb_inst_rename       ;
     _nb_inst_reexecute        = nb_inst_reexecute    ;
@@ -56,19 +56,21 @@
     _priority                 = priority             ;
     _load_balancing           = load_balancing       ;
-    _table_routing            = table_routing        ;
-    _table_issue_type         = table_issue_type     ;
+//  _table_routing            = table_routing        ;
+//  _table_issue_type         = table_issue_type     ;
     _size_reexecute_queue     = nb_inst_reexecute    ;
 
-    log_printf(TRACE,Issue_queue,FUNCTION,"  * table_routing [nb_rename_unit][nb_inst_issue]");
-    for (uint32_t i=0; i<_nb_rename_unit; ++i)
-      for (uint32_t j=0; j<_nb_inst_issue; ++j)
-        if (_table_routing [i][j])
-          log_printf(TRACE,Issue_queue,FUNCTION,"    [%d][%d] -> true",i,j);
+    _nb_inst_issue            = _nb_inst_reexecute+_nb_bank;
+
+//     log_printf(TRACE,Issue_queue,FUNCTION,"  * table_routing [nb_rename_unit][nb_inst_issue]");
+//     for (uint32_t i=0; i<_nb_rename_unit; ++i)
+//       for (uint32_t j=0; j<_nb_inst_issue; ++j)
+//         if (_table_routing [i][j])
+//           log_printf(TRACE,Issue_queue,FUNCTION,"    [%d][%d] -> true",i,j);
         
-    log_printf(TRACE,Issue_queue,FUNCTION,"  * table_issue_type [nb_inst_issue][nb_type]");
-    for (uint32_t i=0; i<_nb_inst_issue; ++i)
-      for (uint32_t j=0; j<_nb_type; ++j)
-        if (_table_issue_type [i][j])
-          log_printf(TRACE,Issue_queue,FUNCTION,"    [%d][%d] -> true",i,j);
+//     log_printf(TRACE,Issue_queue,FUNCTION,"  * table_issue_type [nb_inst_issue][nb_type]");
+//     for (uint32_t i=0; i<_nb_inst_issue; ++i)
+//       for (uint32_t j=0; j<_nb_type; ++j)
+//         if (_table_issue_type [i][j])
+//           log_printf(TRACE,Issue_queue,FUNCTION,"    [%d][%d] -> true",i,j);
     
     _max_nb_inst_rename       = max<uint32_t>(_nb_inst_rename,_nb_rename_unit);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters_msg_error.cpp	(revision 115)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters_msg_error.cpp	(revision 117)
@@ -48,6 +48,6 @@
       test.error(toString(_("nb_bank (%d) must be a multiple of size_queue (%d).\n"),_nb_bank,_size_queue));
     
-    if (not is_multiple(_nb_bank, _nb_inst_issue))
-      test.error(toString(_("nb_inst_issue (%d) must be a multiple of nb_bank (%d) .\n"),_nb_inst_issue,_nb_bank));
+//     if (not is_multiple(_nb_bank, _nb_inst_issue))
+//       test.error(toString(_("nb_inst_issue (%d) must be a multiple of nb_bank (%d) .\n"),_nb_inst_issue,_nb_bank));
 
     if (_nb_rename_unit_select > _nb_rename_unit)
@@ -57,28 +57,28 @@
       test.warning(_("For better performance, the bank's size (size_queue/nb_bank) must be > 1.\n"));
 
-    for (uint32_t i=0; i<_nb_rename_unit; i++)
-      {
-	bool type_present [_nb_type];
+//     for (uint32_t i=0; i<_nb_rename_unit; i++)
+//       {
+// 	bool type_present [_nb_type];
 	
-	for (uint32_t j=0; j<_nb_type; j++)
-	  type_present [j] = not is_type_valid(j);
+// 	for (uint32_t j=0; j<_nb_type; j++)
+// 	  type_present [j] = not is_type_valid(j);
 
-	bool find = false;
-	for (uint32_t j=0; j<_nb_inst_issue; j++)
-	  if (_table_routing [i][j])
-	  {
-	    find = true;
+// 	bool find = false;
+// 	for (uint32_t j=0; j<_nb_inst_issue; j++)
+// 	  if (_table_routing [i][j])
+// 	  {
+// 	    find = true;
 
-	    for (uint32_t k=0; k<_nb_type; k++)
-	      type_present [k] |= _table_issue_type [j][k];
-	  }
+// 	    for (uint32_t k=0; k<_nb_type; k++)
+// 	      type_present [k] |= _table_issue_type [j][k];
+// 	  }
 
-	if (not find)
-	  test.error(toString(_("Rename_unit [%d] is not connected with a issue slot.\n"),i));
-	else
-	  for (uint32_t j=0; j<_nb_type; j++)
-	    if (not type_present [j] and not is_type_optionnal(j))
-	      test.error(toString(_("Rename_unit [%d] can't issue instruction's type \"%s\".\n"),i,toString(j).c_str()));
-      }
+// 	if (not find)
+// 	  test.error(toString(_("Rename_unit [%d] is not connected with a issue slot.\n"),i));
+// 	else
+// 	  for (uint32_t j=0; j<_nb_type; j++)
+// 	    if (not type_present [j] and not is_type_optionnal(j))
+// 	      test.error(toString(_("Rename_unit [%d] can't issue instruction's type \"%s\".\n"),i,toString(j).c_str()));
+//       }
     
     if ((_priority != PRIORITY_ROUND_ROBIN))
